Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCFileDataAction Class Reference

`#include <ExCFile.h>`

## Public Methods
| ExCFileDataAction ()
| ExCFileDataAction (string s, int c)
void | setAction (string s)
string | getAction (void)
void | setCommand (int c)
int | getCommand (void)
void | setParam (string p)
string | getParam (void)
void | setActionCommand (string s, int c)
void | setActionCommand (string s, int c, string p)
## Private Attributes
string | action
int | command
string | param

## Constructor & Destructor Documentation

ExCFileDataAction | ( |  | ) | `[inline]`

| Definition at line 54 of file ExCFile.h.
    00054 {};

ExCFileDataAction | ( | string | s,
|  | int | c
| ) | `[inline]`

| Definition at line 55 of file ExCFile.h. References action, and command.
    00055 { action = s; command = c; };

## Member Function Documentation

string getAction | ( | void |  | ) | `[inline]`

| Definition at line 57 of file ExCFile.h. References action. Referenced by ExManagerCommand::AddCommandAction(), ExManagerConsole::AddStringAction(), and ExCFileWriter::setContent().
    00057 { return action; };

int getCommand | ( | void |  | ) | `[inline]`

| Definition at line 60 of file ExCFile.h. References command. Referenced by ExManagerCommand::AddCommandAction(), ExManagerConsole::AddStringAction(), and ExCFileWriter::setContent().
    00060 { return command; };

string getParam | ( | void |  | ) | `[inline]`

| Definition at line 63 of file ExCFile.h. References param. Referenced by ExManagerCommand::AddCommandAction().
    00063 { return param; };

void setAction | ( | string | s | ) | `[inline]`

| Definition at line 56 of file ExCFile.h. References action. Referenced by ExCFileReader::getContent().
    00056 { action = s; };

void setActionCommand | ( | string | s,
|  | int | c,
|  | string | p
| ) | `[inline]`

| Definition at line 66 of file ExCFile.h. References action, command, and param.
    00066 { action = s; command = c; param = p; };

void setActionCommand | ( | string | s,
|  | int | c
| ) | `[inline]`

| Definition at line 65 of file ExCFile.h. References action, and command.
    00065 { action = s; command = c; };

void setCommand | ( | int | c | ) | `[inline]`

| Definition at line 59 of file ExCFile.h. References command. Referenced by ExCFileReader::getContent().
    00059 { command = c; };

void setParam | ( | string | p | ) | `[inline]`

| Definition at line 62 of file ExCFile.h. References param. Referenced by ExCFileReader::getContent().
    00062 { param = p; };

## Field Documentation

string action`[private]`

| Definition at line 50 of file ExCFile.h. Referenced by ExCFileDataAction(), getAction(), setAction(), and setActionCommand().

int command`[private]`

| Definition at line 51 of file ExCFile.h. Referenced by ExCFileDataAction(), getCommand(), setActionCommand(), and setCommand().

string param`[private]`

| Definition at line 52 of file ExCFile.h. Referenced by getParam(), setActionCommand(), and setParam().

The documentation for this class was generated from the following file:

- ExCFile.h